<template>
  <div class="d-flex justify-content-between">
    <div class="d-flex flex-row align-items-center col-12 col-lg-10 offset-lg-1 mb-3 px-0 dsd-header-title">
      <div v-if="isHvdDataset" class="d-none d-lg-block dsd-title-tag">
        <span>{{$t('message.metadata.highValueDataset')}}</span>
      </div>
      <div v-else-if="isErpdActive" class="d-none d-lg-flex dsd-title-tag erpdInfo">
        <span>{{$t('message.metadata.protecteddata')}}</span>
      </div>
      <div v-else class="d-none d-lg-block dsd-title-tag">
        <span :style="{ fontSize: titleFontSize }">{{$t('message.metadata.dataset')}}</span>
      </div>
      <h1 v-if="getTitle" class="d-none d-lg-block dataset-details-title" data-cy="dataset-title">{{ getTranslationFor(getTitle,
            $route.query.locale, getLanguages) }}</h1>
      <h1 v-else class="d-none d-lg-block dataset-details-title" data-cy="dataset-title">{{ getID }}</h1>
    </div>
    <dataset-details-likes class="d-none d-lg-block" v-if="useCommentsAndLikes" :datasetId="getID"/>
  </div>
</template>

<script>
import {
  getTranslationFor
} from "@piveau/piveau-hub-ui-modules";
import DatasetDetailsLikes from './datasetDetailsCommentsAndLikes/DatasetDetailsLikes.vue';
import {
  mapGetters
} from "vuex";

export default {
  name: "DatasetDetailsHeaderTitle",
  props: {
    titleFontSize: String,
  },
  components: {
    DatasetDetailsLikes,
  },
  data() {
    return {
      useCommentsAndLikes: this.$env.content.datasetDetails.showRatingService,
    }
  },
  methods: {
    getTranslationFor,
  },
  computed: {
    ...mapGetters('datasetDetails', [
      'getLanguages',
      'getTitle',
      'getCatalog',
      'getID',
      'getIsHvd',
    ]),
    isHvdDataset() {
      return this.getIsHvd || false;
    },
    isErpdActive() {
      return this.getCatalog.is_part_of === 'erpd' || false;
    }
  },
};
</script>

<style scoped lang="scss">
.dataset-details-title {
    font-size: 1.4rem;
    margin-bottom: 0.5rem;
    font-family: inherit;
    font-weight: 500;
    line-height: 1.2;
    color: inherit;
}
.erpdInfo {
    background-color: #8f4300 !important;
    min-width: 20%;
    align-items: center;
    justify-content: center;
}
@media (min-width: 768px) {
    .dataset-details-title {
        font-size: 1.5rem;
    }
}

@media (min-width: 992px) {
    .dataset-details-title {
        font-size: 1.75rem;
    }
}

@media (max-width: 991px) {
    .d-none {
      display: none !important;
    }
}
</style>
